## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           repo
Version:        2.45
Release:        %autorelease
Summary:        Repository management tool built on top of git

License:        Apache-2.0
URL:            https://gerrit.googlesource.com/git-repo
Source0:        %{url}/+archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  git
BuildRequires:  gnupg2
BuildRequires:  tree

Requires:       git
Requires:       gnupg2

%description
Repo is a tool built on top of Git. Repo helps manage many Git repositories,
does the uploads to revision control systems, and automates parts of the
development workflow. Repo is not meant to replace Git, only to make it easier
to work with Git.

%prep
%autosetup -c %{name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
# repo is an unusual tool because it downloads all of its own Python modules
# at runtime using GPG-signed git tags, and stores those files as part of the
# project that it is working with. This package just provides the wrapper
# script, which provides the GPG signing keys for verifying that the correct
# Python code was downloaded, so there's nothing to actually build.

%install
install -Dpm0755 -t %{buildroot}%{_bindir} %{name}
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 man/%{name}*.1
install -Dpm0644 completion.bash %{buildroot}%{_datadir}/bash-completion/completions/%{name}

%check
%{py3_test_envvars} %{python3} -c 'import pytest; pytest.main()'

%files
%license LICENSE
%doc README.md docs/*.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*.1*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/%{name}

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.45-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Mar 23 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 2.45-1
- Update to 2.45; Fixes: RHBZ#2234633

* Sat Mar 23 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 2.35-4
- Convert license tag to SPDX

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.35-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 29 2023 Luca Stefani <luca.stefani.ge1@gmail.com> - 2.35-1
- Update to 2.35

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.29.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.29.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Sep 07 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 2.29.1-1
- Update to 2.29.1

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 30 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 2.19-1
- Initial import; Fixes: RHBZ#2035612
## END: Generated by rpmautospec
